Bug 595946 - kdump does not function as expected when configured with system-config-kdump
kdump does not function as expected when configured with system-config-kdump
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Cong Wang
Chao Ye
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 20:03 EDT by Doug Chapman
Modified: 2013-09-29 22:14 EDT (History)
13 users (show)

See Also:
Fixed In Version: kexec-tools-2_0_0-79_el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:45:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to make mkdumprd default to the currently booted filesystem (13.89 KB, application/octet-stream)
2010-05-25 20:03 EDT, Doug Chapman
no flags Details
updated patch that replaces the fs check code (13.46 KB, patch)
2010-05-26 10:21 EDT, Doug Chapman
no flags Details | Diff

  None (edit)
Description Doug Chapman 2010-05-25 20:03:04 EDT
Created attachment 416589 [details]
patch to make mkdumprd default to the currently booted filesystem

Description of problem:
When system-config-kdump (and possibly firstboot as well) configures kdump it does not specify the target filesystem in /etc/kdump.conf.  This might be considered a bug in system-config-kdump itself however it would be more logical for mkdumprd to use the currently booted filesystem as the default.

This can cause rather painful issues for customers on large memory systems.  This is because currently if mkdumprd does not see a target filesystem it completely ignores the core_collector line in the config which means no pages are filtered out.  This can cause dump times of several hours and also shows no progress on the console making it impossible to know if it is hung or just very slow.

I am attaching a patch which both cleans up some of mkdumprd and also adds some code to handle a kdump.conf that does not have a target specified.


Version-Release number of selected component (if applicable):
kexec-tools-2.0.0-69.el6.x86_64

How reproducible:


Steps to Reproduce:
1. use system-config-kdump to configure kdump
2. force a crash
3. note that no progress is shown when dumping and also makedumpfile is not used (therefore any pages set to be filtered out is ignored).
  
Actual results:


Expected results:
the core_collector argument (i.e. makedumpfile) should not be ignored

Additional info:
Comment 2 Neil Horman 2010-05-26 09:12:56 EDT
I'm fine with the patch functionality, but please return the fs checks as they were.  The check as you have it will allow a fat/msdos filesystem to be used, and thoes dont support our naming conventions or common vmcore file size ranges
Comment 3 Neil Horman 2010-05-26 09:15:27 EDT
also, it seems the removal of all the option parsing around line 2120 will wind up breaking mkdumprd entirely, as those options will fall to the default case and cause a file system mount failure.
Comment 4 Doug Chapman 2010-05-26 09:30:46 EDT
(In reply to comment #2)
> I'm fine with the patch functionality, but please return the fs checks as they
> were.  The check as you have it will allow a fat/msdos filesystem to be used,
> and thoes dont support our naming conventions or common vmcore file size ranges    

Good catch.  I found that bit in the code already in another spot and thought it was a good idea but I think in the spot it was in before this wasn't an issue.
Comment 5 Doug Chapman 2010-05-26 09:37:41 EDT
(In reply to comment #3)
> also, it seems the removal of all the option parsing around line 2120 will wind
> up breaking mkdumprd entirely, as those options will fall to the default case
> and cause a file system mount failure.    

This is not the case.  In the original version it would parse the kdump.conf twice.  I added a small bit of code to get all the information it needs on that first pass.  This was needed so that I could add the code that determined the default filesystem info to dump to without just loosing that when the file got parsed again.  Note that the code you are looking at is now no longer in a loop that is reading the config file but is now just a case statement which is determining the operation based on the USING_METHOD variable.
Comment 6 Doug Chapman 2010-05-26 10:21:16 EDT
Created attachment 416852 [details]
updated patch that replaces the fs check code
Comment 7 David Aquilina 2010-06-03 14:48:50 EDT
Our GUI tools should probably work in GA, reflagging for 6.0.
Comment 8 RHEL Product and Program Management 2010-06-03 15:03:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 10 Chao Ye 2010-08-10 05:12:52 EDT
 Verified with -133.el6:
=================================================================================
[root@hp-xw4200-01 ~]# yum list kexec-tools
Loaded plugins: rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
Installed Packages
kexec-tools.x86_64 2.0.0-133.el6 @anaconda-RedHatEnterpriseLinux-201008071453.x86_64/6.0
[root@hp-xw4200-01 ~]# cat /etc/kdump.conf 
...
path /var/crash                             <=====Created by system-config-kdump
core_collector makedumpfile -d 31 -c        <=====Created by system-config-kdump
[root@hp-xw4200-01 ~]# echo c > /proc/sysrq-trigger 
---------------------------------------------------------------------------------
[root@hp-xw4200-01 ~]# ls -l /var/crash/127.0.0.1-2010-08-10-05\:01\:25/vmcore 
-rw-------. 1 root root 20967973 Aug 10 05:01 /var/crash/127.0.0.1-2010-08-10-05:01:25/vmcore
Comment 12 releng-rhel@redhat.com 2010-11-11 09:45:52 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.